#!/bin/sh
#
#	cleanup.sh
#
#	Author:	Tim Niiler
#	Date:	March 16, 2004
#	License: GPL
#
#	Purpose: This script is, in the spirit of the EZInstaller program,
#		a drop-in install script that does the work of removing
#		the downloaded *.tgz files after the install.  It is only
#		called if the cleanUp flag in config.txt file is set to 
#		"1". If set to "1", the packages just downloaded will be
#		removed from the packages directory.  Previously downloaded
#		packages will remain.  If set to "0", nothing will be removed. 
#
#		This script reads the packages to remove from current_packages.txt.		
#
#		In the interest in ultimately being platform independent,
#		current_packages.txt may contain a list of any type of package
#		rpm, deb, or our favorite: tgz.  It is this script that does
#		the install. 
#
#		For those of you who love rpms or debs, time to get crackin'!
#		I anticipate that you would want to use a switch statement
#		depending on the file extension and then use the appropriate
#		installation mechanism.
#
#		Again, I have this particular stuff out of the ezinstaller C
#		code so that your level of expertise in modifying the installation
#		routine does not have to be that high and so that this can be
#		more easily distro independent.
#

echo "Getting list of packages to be removed..."
packages=$( cat current_packages.txt )
for i in $packages 
do 
	echo $i
	rm packages/$i
done

echo "OK done"

